.\" Copyright (c) 1993, 1994  X Consortium
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining a
.\" copy of this software and associated documentation files (the "Software"),
.\" to deal in the Software without restriction, including without limitation
.\" the rights to use, copy, modify, merge, publish, distribute, sublicense,
.\" and/or sell copies of the Software, and to permit persons to whom the
.\" Software furnished to do so, subject to the following conditions:
.\"
.\" The above copyright notice and this permission notice shall be included in
.\" all copies or substantial portions of the Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
.\" IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
.\" FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
.\" THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
.\" WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
.\" OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
.\" SOFTWARE.
.\"
.\" Except as contained in this notice, the name of the X Consortium shall not
.\" be used in advertising or otherwise to promote the sale, use or other
.\" dealing in this Software without prior written authorization from the
.\" X Consortium.
.\"
.ds tk X Toolkit
.ds xT X Toolkit Intrinsics \- C Language Interface
.ds xI Intrinsics
.ds xW X Toolkit Athena Widgets \- C Language Interface
.ds xL Xlib \- C Language X Interface
.ds xC Inter-Client Communication Conventions Manual
.ds Rn 3
.ds Vn 2.2
.hw XtGet-Action-Keysym wid-get
.na
.de Ds
.nf
.\\$1D \\$2 \\$1
.ft CW
.ps \\n(PS
.\".if \\n(VS>=40 .vs \\n(VSu
.\".if \\n(VS<=39 .vs \\n(VSp
..
.de De
.ce 0
.if \\n(BD .DF
.nr BD 0
.in \\n(OIu
.if \\n(TM .ls 2
.sp \\n(DDu
.fi
..
.de IN		\" send an index entry to the stderr
..
.de Pn
.ie t \\$1\fB\^\\$2\^\fR\\$3
.el \\$1\fI\^\\$2\^\fP\\$3
..
.de ZN
.ie t \fB\^\\$1\^\fR\\$2
.el \fI\^\\$1\^\fP\\$2
..
.ny0
.TH XtGetActionKeysym __libmansuffix__ __xorgversion__ "XT FUNCTIONS"
.SH NAME
XtGetActionKeysym \- obtain corresponding keysym
.SH SYNTAX
.HP
KeySym XtGetActionKeysym(XEvent* \fIevent\fP, Modifiers*
\fImodifiers_return\fP);
.SH ARGUMENTS
.IP \fIevent\fP 1i
Specifies the event pointer passed to the action procedure by the
Intrinsics.
.IP \fImodifiers_return\fP 1i
Returns the modifiers that caused the match, if non-NULL.
.SH DESCRIPTION
If
.ZN XtGetActionKeysym
is called after an action procedure has been invoked by the Intrinsics
and before that action procedure returns, and if the event pointer has
the same value as the event pointer passed to that action routine, and
if the event is a
.ZN KeyPress
or
.ZN KeyRelease
event, then
.ZN XtGetActionKeysym
returns the KeySym that matched the final event specification in the
translation table and, if \fImodifiers_return\fP is non-NULL, the
modifier state actually used to generate this KeySym; otherwise, if
the event is a
.ZN KeyPress
or
.ZN KeyRelease
event, then
.ZN XtGetActionKeysym
calls
.ZN XtTranslateKeycode
and returns the results; else it returns
.ZN NoSymbol
and does not examine \fImodifiers_return\fP.
.SH "SEE ALSO"
.br
\fI\*(xT\fP
.br
\fI\*(xL\fP
