.\" Copyright 1993 X Consortium
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining
.\" a copy of this software and associated documentation files (the
.\" "Software"), to deal in the Software without restriction, including
.\" without limitation the rights to use, copy, modify, merge, publish,
.\" distribute, sublicense, and/or sell copies of the Software, and to
.\" permit persons to whom the Software is furnished to do so, subject to
.\" the following conditions:
.\"
.\" The above copyright notice and this permission notice shall be
.\" included in all copies or substantial portions of the Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
.\" EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
.\" IN NO EVENT SHALL THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR
.\" OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
.\" ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
.\" OTHER DEALINGS IN THE SOFTWARE.
.\"
.\" Except as contained in this notice, the name of the X Consortium shall
.\" not be used in advertising or otherwise to promote the sale, use or
.\" other dealings in this Software without prior written authorization
.\" from the X Consortium.
.\"
.ds tk X Toolkit
.ds xT X Toolkit Intrinsics \- C Language Interface
.ds xI Intrinsics
.ds xW X Toolkit Athena Widgets \- C Language Interface
.ds xL Xlib \- C Language X Interface
.ds xC Inter-Client Communication Conventions Manual
.ds Rn 3
.ds Vn 2.2
.hw XtName-To-Widget XtWindow-To-Widget wid-get
.na
.de Ds
.nf
.\\$1D \\$2 \\$1
.ft CW
.ps \\n(PS
.\".if \\n(VS>=40 .vs \\n(VSu
.\".if \\n(VS<=39 .vs \\n(VSp
..
.de De
.ce 0
.if \\n(BD .DF
.nr BD 0
.in \\n(OIu
.if \\n(TM .ls 2
.sp \\n(DDu
.fi
..
.de IN		\" send an index entry to the stderr
..
.de Pn
.ie t \\$1\fB\^\\$2\^\fR\\$3
.el \\$1\fI\^\\$2\^\fP\\$3
..
.de ZN
.ie t \fB\^\\$1\^\fR\\$2
.el \fI\^\\$1\^\fP\\$2
..
.ny0
.TH XtNameToWidget __libmansuffix__ __xorgversion__ "XT FUNCTIONS"
.SH NAME
XtNameToWidget, XtWindowToWidget \- translating strings to widgets or widgets to windows
.SH SYNTAX
.HP
Widget XtNameToWidget(Widget \fIreference\fP, String \fInames\fP);
.HP
Widget XtWindowToWidget(Display *\fIdisplay\fP, Window \fIwindow\fP);
.SH ARGUMENTS
.ds Di \ on which the window is defined
.IP \fIdisplay\fP 1i
Specifies the display\*(Di.
.IP \fInames\fP 1i
Specifies the fully qualified name of the desired widget.
.IP \fIreference\fP 1i
Specifies the widget from which the search is to start.
.IP \fIwindow\fP 1i
Specify the window for which you want the widget.
.SH DESCRIPTION
The
.ZN XtNameToWidget
function looks for a widget whose name is the first component in the specified
names and that is a pop-up child of reference (or a normal child if reference
is a subclass of
.ZN compositeWidgetClass ).
It then uses that widget as the new reference and repeats the search
after deleting the first component from the specified names.
If it cannot find the specified widget,
.ZN XtNameToWidget
returns NULL.
.LP
Note that the names argument contains the name of a widget with respect to the
specified reference widget and can contain more than one widget name
(separated by periods) for widgets that are not direct children
of the specified reference widget.
.LP
If more than one child of the reference widget matches the name,
.ZN XtNameToWidget
can return any of the children.
The \*(xI do not require that all children of a widget have unique names.
If the specified names contain more than one component
and if more than one child matches the first component,
.ZN XtNameToWidget
can return NULL if the single branch that it follows does not
contain the named widget.
That is,
.ZN XtNameToWidget
does not back up and follow other matching branches of the widget tree.
.LP
The
.ZN XtWindowToWidget
function translates the specified window and display pointer into the
appropriate widget instance.
.SH "SEE ALSO"
.br
\fI\*(xT\fP
.br
\fI\*(xL\fP
